public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/twine/
Date: Thu,  2 Jun 2022 06:42:34 +0000 (UTC)	[thread overview]
Message-ID: <1654152149.c60544c82e7aa3050813320f11b0755a713c3211.mgorny@gentoo> (raw)

commit:     c60544c82e7aa3050813320f11b0755a713c3211
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  2 06:24:31 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  2 06:42:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c60544c8

dev-python/twine: Bump to 4.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/twine/Manifest           |  1 +
 dev-python/twine/twine-4.0.1.ebuild | 80 +++++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 42e5f0db5926..af094fb015a9 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
 DIST twine-4.0.0.tar.gz 214420 BLAKE2B 0a1dc91ed9308252d5db3825c8b642e015720bfe7a95dd9a92ba347cbf1eedede85b18b9c310fe20322928db8e44f988bffb3845748ce9817ecbd5b521fb25c8 SHA512 c97a4315bd2a923979aa3a6cebf826ef022a9e510383f7f1debf941b6eedc47642c999702bdc3377a9740f381ed4dc442a542f02a44e521040cb67fb342e9b7e
+DIST twine-4.0.1.gh.tar.gz 214569 BLAKE2B 82c1793718cfd7d81d9745d16dfe21f59fdfd8b157840ff29629f8b7b86c1e36281f1ed9ba613ec0048c8eef8a2c80d2b9b160893ed953b06c9bfb027f5299e0 SHA512 0b5d24c56731239400b6713e0e52d1cfdb399a84e886b02ea4b59e7af69cc1578e03bf442cca4b2ea5f400995955d27c8d9d3cc17a6ea59013bdaaf6ac63a567

diff --git a/dev-python/twine/twine-4.0.1.ebuild b/dev-python/twine/twine-4.0.1.ebuild
new file mode 100644
index 000000000000..7f4803fc0f57
--- /dev/null
+++ b/dev-python/twine/twine-4.0.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="
+	https://twine.readthedocs.io/
+	https://github.com/pypa/twine/
+	https://pypi.org/project/twine/
+"
+SRC_URI="
+	https://github.com/pypa/twine/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+	>=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+	>=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+	>=dev-python/pkginfo-1.8.1[${PYTHON_USEDEP}]
+	>=dev-python/readme_renderer-35.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+	>=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+	>=dev-python/rich-12.0.0[${PYTHON_USEDEP}]
+	>=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/setuptools_scm[${PYTHON_USEDEP}]
+	test? (
+		dev-python/build[${PYTHON_USEDEP}]
+		dev-python/jaraco-envs[${PYTHON_USEDEP}]
+		dev-python/jaraco-functools[${PYTHON_USEDEP}]
+		dev-python/munch[${PYTHON_USEDEP}]
+		dev-python/portend[${PYTHON_USEDEP}]
+		dev-python/pretend[${PYTHON_USEDEP}]
+		dev-python/pypiserver[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# pytest-socket dep relevant only to test_integration, and upstream
+	# disables it anyway
+	sed -i -e '/--disable-socket/d' pytest.ini || die
+	sed -i -e '/--cov/d' pytest.ini || die
+
+	distutils-r1_python_prepare_all
+	export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+	local EPYTEST_IGNORE=(
+		# Internet
+		tests/test_integration.py
+	)
+	local EPYTEST_DESELECT=(
+		# regression due to deps?
+		tests/test_check.py::test_fails_rst_no_content
+	)
+	[[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+		# confused by extra log entries that don't seem relevant
+		tests/test_auth.py::test_warns_for_empty_password
+	)
+
+	local -x COLUMNS=80
+	epytest
+}


             reply	other threads:[~2022-06-02  6:42 UTC|newest]

Thread overview: 97+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-02  6:42 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-15 16:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/twine/ Michał Górny
2024-07-13  8:01 Michał Górny
2024-07-13  7:27 Arthur Zamarin
2024-07-07 17:23 Michał Górny
2024-06-27 12:40 Michał Górny
2024-06-01  8:09 Michał Górny
2024-06-01  7:25 Arthur Zamarin
2024-05-17  6:25 Michał Górny
2024-03-02 11:44 Michał Górny
2024-03-02 10:01 Arthur Zamarin
2024-02-12  4:11 Michał Górny
2023-09-14  9:58 Andrew Ammerlaan
2023-09-10  5:27 WANG Xuerui
2022-12-31 10:55 Michał Górny
2022-12-31 10:44 Arthur Zamarin
2022-12-01  7:09 Michał Górny
2022-07-18 12:25 Sam James
2022-07-04  6:57 Michał Górny
2022-07-02 16:08 Michał Górny
2022-07-02 15:03 Jakov Smolić
2022-05-24  6:16 Michał Górny
2022-05-24  6:16 Michał Górny
2022-05-06 13:38 Michał Górny
2022-05-06 12:56 Jakov Smolić
2022-05-02 19:38 Arthur Zamarin
2022-04-25 16:50 Sam James
2022-04-10  2:35 Matt Turner
2022-04-01 19:48 Michał Górny
2022-04-01 12:27 Michał Górny
2022-02-27 18:52 Michał Górny
2022-02-02 23:21 Michał Górny
2022-01-27 10:02 Michał Górny
2022-01-02 10:59 Michał Górny
2022-01-02  6:31 Sam James
2021-12-28 20:53 Michał Górny
2021-12-28 20:24 Arthur Zamarin
2021-12-01 19:14 Michał Górny
2021-11-28 14:42 Michał Górny
2021-11-25  5:47 Sam James
2021-11-25  5:47 Sam James
2021-11-03 20:53 Michał Górny
2021-08-30  5:57 Michał Górny
2021-08-30  1:23 Sam James
2021-07-28 23:38 Marek Szuba
2021-07-21  7:25 Michał Górny
2021-06-13 11:27 Michał Górny
2021-04-18  7:05 Michał Górny
2021-04-18  1:41 Sam James
2021-03-17  7:48 Michał Górny
2021-03-15 21:44 Michał Górny
2021-01-25 14:29 Michał Górny
2021-01-25 14:06 Sam James
2020-12-25  9:17 Michał Górny
2020-11-28 15:42 Sam James
2020-10-15 18:40 Sergei Trofimovich
2020-09-06 17:34 Sam James
2020-08-22  7:13 Michał Górny
2020-08-01  8:53 Sergei Trofimovich
2020-07-31  1:11 Sam James
2020-07-29  5:01 Sam James
2020-07-25 21:01 Sam James
2020-07-25 14:08 Sam James
2020-07-25 11:17 Sam James
2020-07-25  8:31 Michał Górny
2020-07-25  8:31 Michał Górny
2020-07-14 15:57 Sam James
2020-07-14 13:19 Sam James
2020-07-06 16:44 Sergei Trofimovich
2020-07-05  9:27 Sergei Trofimovich
2020-07-01 12:21 Michał Górny
2020-06-25 18:52 Michał Górny
2020-06-01 20:30 Michał Górny
2020-06-01 17:02 Sergei Trofimovich
2020-05-31 10:04 Sergei Trofimovich
2020-05-30 14:37 Michał Górny
2020-05-30 14:37 Michał Górny
2020-05-30 11:51 Michał Górny
2020-05-30 11:51 Michał Górny
2020-05-29 15:43 Michał Górny
2020-05-28  8:00 Michał Górny
2020-05-04 12:24 Michał Górny
2020-05-03 10:30 Agostino Sarubbo
2020-05-03 10:01 Agostino Sarubbo
2020-03-29 10:13 Michał Górny
2020-03-17  2:09 Matt Turner
2020-03-17  2:09 Matt Turner
2020-03-04  5:01 Michał Górny
2020-03-04  5:01 Michał Górny
2020-02-03 11:31 Agostino Sarubbo
2020-01-31 13:45 Agostino Sarubbo
2019-12-10 19:25 Sergei Trofimovich
2019-12-05  0:21 Patrick McLean
2019-12-05  0:21 Patrick McLean
2019-12-05  0:21 Patrick McLean
2019-11-26  1:45 Patrick McLean
2019-11-25  8:32 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654152149.c60544c82e7aa3050813320f11b0755a713c3211.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox